> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.saliency/yarn.saliency.firstsaliencystrategy.md).

# FirstSaliencyStrategy

Class in [Yarn.Saliency](/api/csharp/yarn.saliency.md)

Inherits from `System.Object`

## Summary

A content saliency strategy that always returns the first non-failing item in the list of available options.

```csharp
public class FirstSaliencyStrategy : IContentSaliencyStrategy
```

## Remarks

This saliency strategy is used when a [Dialogue](/api/csharp/yarn/yarn.dialogue.md) has no provided saliency strategy, but is required to make a decision.

## Methods

| Name                                                                                                                                                                 | Description                                                                                                                                                      |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ContentWasSelected(ContentSaliencyOption)](/api/csharp/yarn.saliency/yarn.saliency.firstsaliencystrategy/yarn.saliency.firstsaliencystrategy.contentwasselected.md) | Called by Yarn Spinner to indicate that a piece of salient content has been selected, and this system should update any state related to how it selects content. |
| [QueryBestContent(IEnumerable)](/api/csharp/yarn.saliency/yarn.saliency.firstsaliencystrategy/yarn.saliency.firstsaliencystrategy.querybestcontent.md)               | Chooses an item from content that is the most appropriate (or *salient* ) for the user's current context.                                                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.saliency/yarn.saliency.firstsaliencystrategy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
